Ruby - Bug #4013

rake/test_tasks.rb fails if ENV assined test value
11/02/2010 02:04 AM - arton (Akio Tajima)

Status: Closed

Priority: Normal

Assignee:

Target version: 1.9.2

ruby -v: ruby 1.9.3dev (2010-11-01) Backport:
[(386-mswin32_100]

Description

=begin

Rakeltask00000000000000000000000000000000
t[le[lsﬁ_n%xﬁhan_ﬁlfalﬁ%nﬂeters_are_ignoredﬂDDDDDDDDbDniIDDDDDDDDDDDDDDbDDDDDDDDDnilﬂﬂDDDDDDDDDﬂﬂfailﬂDDDDDDDDDDbDniIDDD

--- test_tasks.rb~  2010-07-27 00:00:55.113509000 +0900

+++ test_tasks.rb 2010-11-02 02:01:37.319635100 +0900

@@ -305,6 +305,7 @@ class Rake::TestTaskWithArguments < Test
end

def test_extra_parameters_are_ignored

® ENV['b'] = nil
t = task(:, :a) { |tt, args|
assert_equal 1, args.a
assert_nil args.b
=end

History

#1 - 11/02/2010 09:13 AM - naruse (Yui NARUSE)

=begin
00000oooonoobopooboobona

rake 0000000010

=end

#2 - 11/02/2010 07:18 PM - arton (Akio Tajima)
=begin

rake 000000000
00000000000000
0000rakeltaill00000O00O000000

arton artonx@yahoo.co.jp

Get the new Internet Explorer 8 optimized for Yahoo! JAPAN
http://pr.mail.yahoo.co.jp/ie8/

=end

#3 - 11/02/2010 08:40 PM - naruse (Yui NARUSE)
- Status changed from Open to Closed

=begin
fixed in r29668
00000 mL 00O00DO0DO
=end

#4 - 11/04/2010 01:46 AM - arton (Akio Tajima)

=begin
(10000 mc 0000000000
0000commitd000000"...[ruby-dev:42508]00000000000000
Obug#0000000000rz0
=end

#5 - 11/04/2010 12:06 PM - naruse (Yui NARUSE)

=begin
00000 commit 000000 ChangeLog 00000000000000
(0000000DOD0DDODoDnoOy

00changeLogl0O0O0000MLOODODODO0D
0000obopopoobobobobononooo

=end

#6 - 11/04/2010 01:35 PM - usa (Usaku NAKAMURA)

=begin
aooooooooodyboo

In message "[ruby-dev:42534] [Ruby 1.9-Bug#4013] rake/test_tasks.rb fails if ENV assined test value"

on Nov.04,2010 12:06:14, redmine@ruby-lang.org wrote:

0000oDopoonoboDoDoDoDoDooD

http:/redmine.ruby-lang.org/wiki/ruby/CommitterHowtoJa (1]

goooooooo

goooa
U.Nakamura usa@garbagecollect.jp

=end

06/14/2025

22


bugs.ruby-lang.org/issues/4013
https://blade.ruby-lang.org/ruby-dev/42534
mailto:redmine@ruby-lang.org
http://redmine.ruby-lang.org/wiki/ruby/CommitterHowtoJa
mailto:usa@garbagecollect.jp
http://www.tcpdf.org

